import { _ as e, a } from "./inactive-62bbd674.js";
import {
  a as l,
  aV as t,
  j as n,
  aC as o,
  m as s,
  p as i,
  o as r,
  f as d,
  e as c,
  r as f,
  t as u,
  i as m,
  h as v,
  F as g,
  bs as p,
  bt as h,
} from "./index-476be0bb.js";
var C = {
  name: "Name",
  tel: "Phone",
  save: "Save",
  clear: "Clear",
  cancel: "Cancel",
  confirm: "Confirm",
  delete: "Delete",
  loading: "Loading...",
  noCoupon: "No coupons",
  nameEmpty: "Please fill in the name",
  addContact: "Add contact",
  telInvalid: "Malformed phone number",
  vanCalendar: {
    end: "End",
    start: "Start",
    title: "Calendar",
    weekdays: ["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"],
    monthTitle: (e, a) => "".concat(e, "/").concat(a),
    rangePrompt: (e) => "Choose no more than ".concat(e, " days"),
  },
  vanCascader: { select: "Select" },
  vanPagination: { prev: "Previous", next: "Next" },
  vanPullRefresh: {
    pulling: "Pull to refresh...",
    loosing: "Loose to refresh...",
  },
  vanSubmitBar: { label: "Total:" },
  vanCoupon: {
    unlimited: "Unlimited",
    discount: (e) => "".concat(10 * e, "% off"),
    condition: (e) => "At least ".concat(e),
  },
  vanCouponCell: {
    title: "Coupon",
    count: (e) => "You have ".concat(e, " coupons"),
  },
  vanCouponList: {
    exchange: "Exchange",
    close: "Close",
    enable: "Available",
    disabled: "Unavailable",
    placeholder: "Coupon code",
  },
  vanAddressEdit: {
    area: "Area",
    areaEmpty: "Please select a receiving area",
    addressEmpty: "Address can not be empty",
    addressDetail: "Address",
    defaultAddress: "Set as the default address",
  },
  vanAddressList: { add: "Add new address" },
};
const y = { class: "p-15" },
  b = ["onClick"],
  k = { class: "flex items-center justify-between py-8 relative item" },
  w = { class: "text-13 text-black" },
  x = { key: 0, class: "w-17 ml-13", src: e, alt: "" },
  A = { key: 1, class: "w-17 ml-13", src: a, alt: "" },
  S = {
    __name: "index",
    props: { color: { type: String, default: "#fff" } },
    setup(e) {
      const a = {
          zhCN: { lang: "zh-CN", value: h },
          en: { lang: "en-US", value: C },
        },
        { locale: S, t: _ } = l(),
        E = t();
      n(!1);
      let N = n([
        {
          title: "简体中文",
          id: 2,
          off: 0,
          key: "zh-CN",
          image: new URL(
            "../../assets/images/language/zh-CN.png",
            self.location
          ),
        },
        {
          title: "English",
          id: 1,
          off: 0,
          key: "en",
          image: new URL(
            "../../assets/images/language/en-US.png",
            self.location
          ),
        },
      ]);
      "zhCN" == E.language
        ? ((N._rawValue[0].off = 1), (N._rawValue[1].off = 0))
        : ((N._rawValue[0].off = 0), (N._rawValue[1].off = 1));
      const P = n(!1),
        L = [
          { title: _("简体中文"), id: 2 },
          { title: "English", id: 1 },
        ],
        V = n(L[1]);
      return (e, l) => {
        const t = o("normal-layout");
        return (
          r(),
          s(
            t,
            {
              flex: "",
              "bg-color": "#f6f6f6",
              "nav-bg-color": "#fff",
              "text-color": "#000",
              title: e.$t("语言设置"),
              backType: 0,
            },
            {
              default: i(() => [
                d("div", y, [
                  (r(!0),
                  c(
                    g,
                    null,
                    f(
                      v(N),
                      (e, l) => (
                        r(),
                        c(
                          "div",
                          {
                            key: e.id,
                            onClick: (l) =>
                              ((e) => {
                                for (let a in N._rawValue)
                                  N._rawValue[a].off = 0;
                                (e.off = 1),
                                  (S.value = e.key),
                                  (V.value = e.key),
                                  E.setLanguage(e.key),
                                  (P.value = !1),
                                  p.use(a[e.key].lang, a[e.key].value);
                              })(e),
                            class:
                              "relative px-12 py-5 van-hairline--bottom bg-#fff rounded-8 mb-10",
                          },
                          [
                            d("div", k, [
                              d("div", w, u(e.title), 1),
                              d("div", null, [
                                1 == e.off ? (r(), c("img", x)) : m("", !0),
                                0 == e.off ? (r(), c("img", A)) : m("", !0),
                              ]),
                            ]),
                          ],
                          8,
                          b
                        )
                      )
                    ),
                    128
                  )),
                ]),
              ]),
              _: 1,
            },
            8,
            ["title"]
          )
        );
      };
    },
  };
export { S as default };
